# How to join CyberWay for those who are interested in being validators ?

## Quick Reference Guide

If you want to register on the CyberWay network as a validator, you should follow these steps.

## Machine performance requirements

First of all, you need to prepare your machine, which should satisfy the characteristics:

* Disk space amount - (at least) 80 GB;
* RAM memory - 8 GB (16 - recommended)
* CPU High Clock Speed 4+ Cores &#x20;

One of the following operating systems should be installed on your machine :

* Ubuntu (versions recommended: 16.04 or 18.04);
* MacOS Darwin 10.12 (or later);
* Centos 7;
* Fedora 25 (or advanced);
* Mint 18.

Also, the following software must be installed on the machine :

* docker;
* docker-compose. &#x20;

## Actions to be taken

**Step\_1** Create a workspace and execute the commands:

```bash
$ git clone https://github.com/cyberway/cyberway.launch
$ cd cyberway.launch
$ sudo ./start_light.sh
```

Check that

* the configuration file has been moved to `/etc/cyberway/config.ini`&#x20;
* the contents of Golos application directory has been moved to `/var/lib/cyberway`. &#x20;

**Step\_2**\
Specify yours’ account name and both public and private keys in the configuration file `config.ini`. You can specify the keys that you received during registration, or generate new ones by executing

```bash
$ cleos wallet create_key
```

Edit variables in the `config.ini` file:

```
signature-provider=<GLS7  … >=KEY:5j****
producer-name=<account name>
```

Run the commands:

```bash
$ sudo dockerexec -ti nodeosd /bin/bash
$ cleos wallet create --to-console
$ cleos wallet import --private-key <active-key>
```

**Step\_3**\
The validator candidate stake must be at least 50 000.0000 CYBER tokens. To set the minimum stake, run the command:

```bash
$ cleos push action cyber.stake setminstaked '{"account" : "<account name>", "token_code" : "CYBER", "min_own_staked" : 500000000}' -p <account name>
```

The parameter `min_own_staked` is a minimum amount of CYBER tokens required to become a validator.

**Step\_4** Activate your keys:

```bash
$ cleos push action cyber.stake setkey '{"account":"<account name>", "token_code":"CYBER", "signing_key":"<  … >"}' -p <account name>
```

**Step\_5**\
If the user has not previously been a validator in the blockchain, then he/she needs to set zero proxy level:

```bash
$ cleos push action cyber.stake setproxylvl '{"account" : "<account name>", "token_code" : "CYBER", "level" : 0}' -p <account name>
```

Нaving successfully completed the above steps you become a candidate for validators.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cyberway.io/validators/quick_reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
